Re: [tomcat] branch master updated: Add support for ALPN on Java 8

2020-07-02 Thread Mark Thomas
On 02/07/2020 17:21, Mark Thomas wrote:
> On 02/07/2020 10:27, Rémy Maucherat wrote:



>> So, two months later I plan to make the change since the required
>> OpenJDK build is now old enough, and most importantly this is a minor
>> API change that needs to happen before 10.0 goes out of M mode.
>> Basically, this is the right time for the cleanup.
>>
>> The main problem is that CI still hasn't been updated (issue to follow
>> is: https://issues.apache.org/jira/browse/INFRA-20385 ), so the trunk CI
>> build will break for the time being. This is "fine" as far as I am
>> concerned since there are now the test runs from github. Also the 9
>> branch CI is not affected.
>>
>> Comments ?
> 
> Let me see if I can move that ticket along.

latest1.8 is now at OpenJDK 8u252-b09

Mark

-
To unsubscribe, e-mail: dev-unsubscr...@tomcat.apache.org
For additional commands, e-mail: dev-h...@tomcat.apache.org



Re: [tomcat] branch master updated: Add support for ALPN on Java 8

2020-07-02 Thread Mark Thomas
On 02/07/2020 10:27, Rémy Maucherat wrote:
> On Sat, May 9, 2020 at 4:53 PM Rémy Maucherat  > wrote:
> 
> On Fri, May 8, 2020 at 6:36 PM  > wrote:
> 
> This is an automated email from the ASF dual-hosted git repository.
> 
> remm pushed a commit to branch master
> in repository https://gitbox.apache.org/repos/asf/tomcat.git
> 
> 
> The following commit(s) were added to refs/heads/master by this
> push:
>      new 19ce500  Add support for ALPN on Java 8
> 19ce500 is described below
> 
> commit 19ce5009930289f59e63250592f894aaa53cf302
> Author: remm mailto:r...@apache.org>>
> AuthorDate: Fri May 8 18:36:10 2020 +0200
> 
>     Add support for ALPN on Java 8
> 
>     HTTP/2 with a browser does work for me now. Feel free to
> test, it needs
>     a very recent Java 8.
>     It is also possible to get rid of the reflection and
> JreCompat for ALPN,
>     but it would create a hard dependency on the newest Java 8s.
> OTOH,
>     previous releases will soon be insecure so update is more or
> less
>     required. I will start with that change in Tomcat 10, and it
> could be
>     backported later to Tomcat 9 and 8.5, when we consider not
> using a
>     compatible Java 8 is a problem.
> 
> 
> I intend to make the additional cleanup in Tomcat 10 only for now,
> after CI is updated to a newer Java 8 JVM.
> 
> For reference, the JVM change for Java 8 is here:
> https://bugs.openjdk.java.net/browse/JDK-8230977
> 
> 
> So, two months later I plan to make the change since the required
> OpenJDK build is now old enough, and most importantly this is a minor
> API change that needs to happen before 10.0 goes out of M mode.
> Basically, this is the right time for the cleanup.
> 
> The main problem is that CI still hasn't been updated (issue to follow
> is: https://issues.apache.org/jira/browse/INFRA-20385 ), so the trunk CI
> build will break for the time being. This is "fine" as far as I am
> concerned since there are now the test runs from github. Also the 9
> branch CI is not affected.
> 
> Comments ?

Let me see if I can move that ticket along.

Mark


-
To unsubscribe, e-mail: dev-unsubscr...@tomcat.apache.org
For additional commands, e-mail: dev-h...@tomcat.apache.org



Re: [tomcat] branch master updated: Add support for ALPN on Java 8

2020-07-02 Thread Rémy Maucherat
On Sat, May 9, 2020 at 4:53 PM Rémy Maucherat  wrote:

> On Fri, May 8, 2020 at 6:36 PM  wrote:
>
>> This is an automated email from the ASF dual-hosted git repository.
>>
>> remm pushed a commit to branch master
>> in repository https://gitbox.apache.org/repos/asf/tomcat.git
>>
>>
>> The following commit(s) were added to refs/heads/master by this push:
>>  new 19ce500  Add support for ALPN on Java 8
>> 19ce500 is described below
>>
>> commit 19ce5009930289f59e63250592f894aaa53cf302
>> Author: remm 
>> AuthorDate: Fri May 8 18:36:10 2020 +0200
>>
>> Add support for ALPN on Java 8
>>
>> HTTP/2 with a browser does work for me now. Feel free to test, it
>> needs
>> a very recent Java 8.
>> It is also possible to get rid of the reflection and JreCompat for
>> ALPN,
>> but it would create a hard dependency on the newest Java 8s. OTOH,
>> previous releases will soon be insecure so update is more or less
>> required. I will start with that change in Tomcat 10, and it could be
>> backported later to Tomcat 9 and 8.5, when we consider not using a
>> compatible Java 8 is a problem.
>>
>
> I intend to make the additional cleanup in Tomcat 10 only for now, after
> CI is updated to a newer Java 8 JVM.
>
> For reference, the JVM change for Java 8 is here:
> https://bugs.openjdk.java.net/browse/JDK-8230977
>

So, two months later I plan to make the change since the required OpenJDK
build is now old enough, and most importantly this is a minor API change
that needs to happen before 10.0 goes out of M mode. Basically, this is the
right time for the cleanup.

The main problem is that CI still hasn't been updated (issue to follow is:
https://issues.apache.org/jira/browse/INFRA-20385 ), so the trunk CI build
will break for the time being. This is "fine" as far as I am concerned
since there are now the test runs from github. Also the 9 branch CI is not
affected.

Comments ?

Rémy


Re: [tomcat] branch master updated: Add support for ALPN on Java 8

2020-05-09 Thread Rémy Maucherat
On Fri, May 8, 2020 at 6:36 PM  wrote:

> This is an automated email from the ASF dual-hosted git repository.
>
> remm pushed a commit to branch master
> in repository https://gitbox.apache.org/repos/asf/tomcat.git
>
>
> The following commit(s) were added to refs/heads/master by this push:
>  new 19ce500  Add support for ALPN on Java 8
> 19ce500 is described below
>
> commit 19ce5009930289f59e63250592f894aaa53cf302
> Author: remm 
> AuthorDate: Fri May 8 18:36:10 2020 +0200
>
> Add support for ALPN on Java 8
>
> HTTP/2 with a browser does work for me now. Feel free to test, it needs
> a very recent Java 8.
> It is also possible to get rid of the reflection and JreCompat for
> ALPN,
> but it would create a hard dependency on the newest Java 8s. OTOH,
> previous releases will soon be insecure so update is more or less
> required. I will start with that change in Tomcat 10, and it could be
> backported later to Tomcat 9 and 8.5, when we consider not using a
> compatible Java 8 is a problem.
>

I intend to make the additional cleanup in Tomcat 10 only for now, after CI
is updated to a newer Java 8 JVM.

For reference, the JVM change for Java 8 is here:
https://bugs.openjdk.java.net/browse/JDK-8230977

Rémy